
;for J-H vs H-4.5 micron

pro ccd_plot2b,charsize=charsize,thick=thick,color=color,nav=nav,m9=m9

if not keyword_set(nav) then nav=3
if not keyword_set(charsize) then charsize = 1.5
dwarf = strarr(26)
openr,3,'/home/rguter/idlpro/pipeline/plot_dat/dwarfs_bb.dat'
readf,3,dwarf
close,3
;giant = strarr(19)
;openr,3,'/home/rguter/idlpro/pipeline/plot_dat/giants_bb.dat'
giant = strarr(22)
openr,3,'/home/rguter/idlpro/march04/tom.txt'
readf,3,giant
close,3

ddat = fltarr(3,25) 
;gdat = fltarr(3,16)
gdat = fltarr(2,10)

for i=1,25 do ddat[*,i-1]=float((strsplit(dwarf[i],'	',/extract))[[2,3,6]])
;for i=1,16 do gdat[*,i-1]=float((strsplit(giant[i],'	',/extract))[[2,3,6]])
for i=12,21 do gdat[*,i-12]=float((strsplit(giant[i],' ',/extract))[[3,6]])

ddat[1,*] = ddat[1,*]+ddat[2,*]
;gdat[1,*] = gdat[1,*]+gdat[2,*]

;ddat = ddat[*,0:15]
;gdat = gdat[*,0:15]
;ddat[1,*] = ddat[1,*]+[-.05,0,.01,.03,.03,.03,.03,.02,.02,.01,.01,.01,0,-.01,-.02,-.04]
;gdat[1,*] = gdat[1,*]+[0,-.01,-.02,-.02,-.03,-.04,-.05,-.06,-.07,-.08,-.09,-.1,-.12,-.13,-.14,-.15]

;bar = fltarr(11,32)
;openr,3,'/home/rguter/data/0.001_age'
;readf,3,bar
;close,3
 
;ak = (.175-.112)*findgen(71)
;ak2 = (.175-.112)*findgen(7)*10
ak = (.175-.032)*findgen(71)
ak2 = (.175-.032)*findgen(7)*10
ehk = (.282-.175)*findgen(71)
ehk2 = (.282-.175)*findgen(7)*10
akstring = " Av="+strtrim(string(fix(findgen(7)*10)),1)

;hline = gdat[0:1,15]
hline = gdat[0:1,9]
lline = [.74,.61]
lline2 = [.64,1.11]
;lline = ddat[0:1,24]
;lline = ddat[0:1,15]

oplot,ak+hline[1],ehk+hline[0],thick=thick,color=color
oplot,ak2+hline[1],ehk2+hline[0],psym=2,thick=thick,color=color
xyouts,ak2[1:nav]+lline[1]+.05,ehk2[1:nav]+lline[0]-.2,$
   akstring[1:nav],charsize=charsize,charthick=thick,color=color
oplot,ak+lline[1],ehk+lline[0],thick=thick,color=color
oplot,ak2+lline[1],ehk2+lline[0],psym=2,thick=thick,color=color

if keyword_set(m9) then begin
 oplot,ak+lline2[1],ehk+lline2[0],thick=thick,color=color
 oplot,ak2+lline2[1],ehk2+lline2[0],psym=2,thick=thick,color=color
endif

;oplot,[-.25,4],[17.6,17.6],linestyle=2
;oplot,[0,4],[19.8,15.8],linestyle=2
;oplot,[-.25,4],[19.8,19.8],linestyle=2
;oplot,[.6,4],[17.6,14.2],linestyle=2

;oplot,bar[9,*]-bar[10,*],bar[8,*]-bar[9,*],color=255l

oplot,gdat[1,*],gdat[0,*],thick=thick,color=color
oplot,[reform(ddat[1,0:19]),.61],[reform(ddat[0,0:19]),.74],thick=thick,color=color
;oplot,ddat[1,*],ddat[0,*],thick=thick,color=color

end

