
;for J-H vs K-3.6 micron

pro ccd_plot3a,charsize=charsize,thick=thick,color=color

if not keyword_set(charsize) then charsize = 1.5
dwarf = strarr(26)
openr,3,'/home/rguter/idlpro/pipeline/plot_dat/dwarfs_bb.dat'
readf,3,dwarf
close,3
giant = strarr(19)
openr,3,'/home/rguter/idlpro/pipeline/plot_dat/giants_bb.dat'
readf,3,giant
close,3

ddat = fltarr(2,25)
gdat = fltarr(2,16)

for i=1,25 do ddat[*,i-1]=float((strsplit(dwarf[i],'	',/extract))[[2,6]])
for i=1,16 do gdat[*,i-1]=float((strsplit(giant[i],'	',/extract))[[2,6]])

;ddat = ddat[*,0:15]
;gdat = gdat[*,0:15]
;ddat[1,*] = ddat[0,*]+[-.05,0,.01,.03,.03,.03,.03,.02,.02,.01,.01,.01,0,-.01,-.02,-.04]
;gdat[1,*] = [0,-.01,-.02,-.02,-.03,-.04,-.05,-.06,-.07,-.08,-.09,-.1,-.12,-.13,-.14,-.15]

;bar = fltarr(11,32)
;openr,3,'/home/rguter/data/0.001_age'
;readf,3,bar
;close,3
 
;ak = (.175-.112)*findgen(71)
;ak2 = (.175-.112)*findgen(7)*10
ak = (.112-.049)*findgen(71)
ak2 = (.112-.049)*findgen(7)*10
ehk = (.282-.175)*findgen(71)
ehk2 = (.282-.175)*findgen(7)*10
akstring = "  Av="+strtrim(string(fix(findgen(7)*10)),1)

;hline = [.245,.93]
;lline = [.37,.66]
hline = gdat[0:1,15]
lline = ddat[0:1,24]
;lline = ddat[0:1,15]

oplot,ak+hline[1],ehk+hline[0],thick=thick,color=color
oplot,ak2+hline[1],ehk2+hline[0],psym=2,thick=thick,color=color
xyouts,ak2[1:3]+lline[1]+.05,ehk2[1:3]+lline[0],$
   akstring[1:3],charsize=charsize,charthick=thick,color=color
oplot,ak+lline[1],ehk+lline[0],thick=thick,color=color
oplot,ak2+lline[1],ehk2+lline[0],psym=2,thick=thick,color=color

;oplot,[-.25,4],[17.6,17.6],linestyle=2
;oplot,[0,4],[19.8,15.8],linestyle=2
;oplot,[-.25,4],[19.8,19.8],linestyle=2
;oplot,[.6,4],[17.6,14.2],linestyle=2

;oplot,bar[9,*]-bar[10,*],bar[8,*]-bar[9,*],color=255l

oplot,gdat[1,*],gdat[0,*],thick=thick,color=color
oplot,ddat[1,*],ddat[0,*],thick=thick,color=color
ttx = findgen(2)*.94+.36
tty = ttx*.69*.58+.49
oplot,ttx,tty,linestyle=2

end

