
pro dummy,zm

 hname = dialog_pickfile(title='Pick H band image')
 kname = dialog_pickfile(title='Pick K band image')
 jname = dialog_pickfile(title='Pick J band image')

 fits_datmask,hname,him,hhdr,hmask
 fits_datmask,jname,jim,jhdr,jmask 
 fits_datmask,kname,kim,khdr,kmask

 hsz=size(him) & hmed = median(him) & hw = where(hmask eq 0)
 jsz=size(jim) & jmed = median(jim) & jw = where(jmask eq 0)
 ksz=size(kim) & kmed = median(kim) & kw = where(kmask eq 0)

 him[hw] = hmed
 jim[jw] = jmed
 kim[kw] = kmed

 him = frebin(temporary(him),hsz[1]*zm,hsz[2]*zm)
 hmask = frebin(temporary(hmask),hsz[1]*zm,hsz[2]*zm)
 
 jim2 = him*0+jmed
 jim2[0,0] = jim
 jim = temporary(jim2)
 jmask2 = him*0
 jmask2[0,0]=jmask
 jmask = temporary(jmask2)

 kim2 = him*0+kmed
 kim2[0,0] = frebin(kim,ksz[1]*zm,ksz[2]*zm)
 kim = temporary(kim2)
 kmask2 = him*0
 kmask2[0,0] = frebin(kmask,ksz[1]*zm,ksz[2]*zm)
 kmask = temporary(kmask2)   

 hname = dialog_pickfile(title='Save H band image as')
 kname = dialog_pickfile(title='Save K band image as')
 jname = dialog_pickfile(title='Save J band image as')

 fits_datmask,hname,him,hhdr,hmask,/write
 fits_datmask,jname,jim,jhdr,jmask,/write
 fits_datmask,kname,kim,khdr,kmask,/write

end
