pro quick_dark

 f = dialog_pickfile(/multiple,title='Select files to go into Dark')
 nf = n_elements(f)
 if nf le 0 then begin
  print,'ERROR in quick_dark.pro: No files selected!'
  retall
 endif

 for i = 0,nf-1 do begin
  print,'Reading '+f[i]
  fits_read,f[i],im,hdr
 
  if i eq 0 then begin
   sz = size(im)
;   x = ptr_new(make_array(nf,sz[1],sz[2],type=sz[sz[0]+1],/nozero),/no_copy)
   x = im * 0.
  endif

;  (*x)[i,*,*] = temporary(im)
  x = temporary(x) + temporary(im)
 endfor

; result = xmedian_stack(x)
 result = ptr_new(0)
; ptr_free,x
 x = temporary(x) / nf

; sxaddpar,hdr,'HISTORY','median of '+strtrim(nf,2)+' images'
 sxaddpar,hdr,'HISTORY','mean of '+strtrim(nf,2)+' images'

 yup = 'No'
 while yup eq 'No' do begin

  out = dialog_pickfile(title='Save new dark frame as?')
  if out eq '' then begin
   print,'Cancelling...'
   ptr_free,result
   retall
  endif
  if not file_test(out) then yup = 'Yes' else yup = dialog_message(/question,$
     out+' exists...  Overwrite?')

  if yup eq 'Yes' then begin
   print,'Writing '+out
;   fits_write,out,*result,hdr
   fits_write,out,x,hdr
  endif
 endwhile    

 ptr_free,result

end
