
function slideshow,fix=fix,stdev=stdev,scl=scl

 if strlowcase(!version.os_family) eq 'windows' then sls='\' else sls='/'

 if not keyword_set(stdev) then stdev = [1,1] else begin
  case n_elements(scl) of 
   1: stdev = [stdev,stdev]
   2: stdev = stdev
   else: stdev = stdev[0:1]
  endcase
 endelse 

 if not keyword_set(scl) then scl = 1

 infil = dialog_pickfile(/multiple,title='Select FITS Files for Slideshow')

 if infil[0] ne '' then begin
  nf = n_elements(infil)

  for i = 0,nf-1 do begin
   fits_read,infil[i],im  

   if i eq 0 then begin
    szim = size(im)
    xs = fix(szim[1]/scl) & ys = fix(szim[2]/scl)
    window,0,xs=xs,ys=ys+10
    movie = bytarr(xs,ys+10,nf,/nozero)
    mo = moment(im,sdev=imsd)
   endif else begin
    if not keyword_set(fix) then mo = moment(im,sdev=imsd)
   endelse 

   erase
   tv,bytscl(congrid(im,xs,ys),min=mo[0]-stdev[0]*imsd,max=mo[0]+stdev[1]*imsd)
   xyouts,fix(xs/2),ys,strmid(infil[i],rstrpos(infil[i],sls)+1,$
      strlen(infil[i])-rstrpos(infil[i],sls)-1),align=.5,/dev
 
   movie[*,*,i] = tvrd()

  endfor
  return,movie
 endif else begin
  print,'Cancelling...'
  return,-1
 endelse

end
