
function rob_find,image,ksz

k = gauss_array(ksz)

x = convol(image,k)

sz = size(x)
window,0,xs=sz[1],ys=sz[2],title='Box in some background...'
tvscl,x>0<1000

print,'Box in some background...'

box,x1,x2,y1,y2

mo = moment(x[x1:x2,y1:y2],sdev=msd)

med = median(x[x1:x2,y1:y2])

window,0,xs=sz[1],ys=sz[2],title='Box out borders...'
tvscl,x>(med+10*msd)<(med+10*msd+100)
box,x3,x4,y3,y4

w = where(x gt (med+10*msd),ct)
xpos = w mod sz[1]
ypos = w / sz[1]

w = w[where(xpos gt x3 and xpos lt x4 and ypos gt y3 and $
     ypos lt y4,ct)]

results = fltarr(2,ct)
ind1 = 0l

while ct gt 0 do begin
 
 xpos = w mod sz[1]
 ypos = w / sz[1]

 cent = center(image,xpos[0],ypos[0],10,7,-1000,100000,5,tvmin=4000,tvmax=5000)
 print,cent

 sub = where(xpos gt cent.xc+3 or xpos lt cent.xc-3 or ypos gt cent.yc+3 or $
     ypos lt cent.yc-3,ct)

 if ct gt 0 then w = w[sub]

 print,ct

 results[*,ind1] = [cent.xc,cent.yc]
 ind1 = ind1+1

endwhile

erase
plots,results[0,*],results[1,*],psym=2,/dev

out = tvrd()
flicker,out,x>(med+10*msd)<(med+10*msd+100)

str = {out:x,results:results,mo:[med,msd],xbox:[x1,x2],ybox:[y1,y2]}

return,str

end
