
;for J-H vs H-K

pro ccd_plot1,charsize=charsize,thick=thick,color=color,nav=nav

if not keyword_set(nav) then nav=3
if not keyword_set(charsize) then charsize = 1.5
dwarf = strarr(26)
openr,3,'/home/rguter/idlpro/pipeline/plot_dat/dwarfs_bb.dat'
readf,3,dwarf
close,3
giant = strarr(19)
openr,3,'/home/rguter/idlpro/pipeline/plot_dat/giants_bb.dat'
readf,3,giant
close,3

ddat = fltarr(2,25) 
gdat = fltarr(2,18)

for i=1,25 do ddat[*,i-1]=float((strsplit(dwarf[i],'	',/extract))[2:3])
for i=1,18 do gdat[*,i-1]=float((strsplit(giant[i],'	',/extract))[2:3])

;bar = fltarr(11,32)
;openr,3,'/home/rguter/data/0.001_age'
;readf,3,bar
;close,3
 
ak = (.175-.112)*findgen(71)
ak2 = (.175-.112)*findgen(7)*10
ehk = (.282-.175)*findgen(71)
ehk2 = (.282-.175)*findgen(7)*10
akstring = " Av="+strtrim(string(fix(findgen(7)*10)),1)

hline = [.245,.93]
lline = [.37,.66]

oplot,ak+hline[0],ehk+hline[1],thick=thick,color=color
oplot,ak2+hline[0],ehk2+hline[1],psym=2,thick=thick,color=color
xyouts,ak2[1:nav]+lline[0]+.02,ehk2[1:nav]+lline[1]-.2,$
   akstring[1:nav],charsize=charsize,charthick=thick,color=color
oplot,ak+lline[0],ehk+lline[1],thick=thick,color=color
oplot,ak2+lline[0],ehk2+lline[1],psym=2,thick=thick,color=color

;oplot,[-.25,4],[17.6,17.6],linestyle=2
;oplot,[0,4],[19.8,15.8],linestyle=2
;oplot,[-.25,4],[19.8,19.8],linestyle=2
;oplot,[.6,4],[17.6,14.2],linestyle=2

;oplot,bar[9,*]-bar[10,*],bar[8,*]-bar[9,*],color=255l

oplot,gdat[1,*],gdat[0,*],thick=thick,color=color
oplot,ddat[1,*],ddat[0,*],thick=thick,color=color

end

