
;for J vs J-H

pro hr_plot4,dist,charsize=charsize,myr=myr,nav=nav,thick=thick,nvect=nvect

if not keyword_set(nvect) then nvect = 2
if not keyword_set(nav) then nav = 3
if not keyword_set(charsize) then charsize = 1.5

if keyword_set(myr) then begin
if myr eq 1 or myr eq 3 or myr eq 5 then f = '/home/rguter/idlpro/pipeline/barrafe/0.00'+$
strtrim(myr,2)+'_age'
endif
if n_elements(f) ne 1 then f=dialog_pickfile(/must_exist,path='/home/rguter/idlpro/pipeline/barrafe/')
if f eq '' then return

tmp = fltarr(11)
flg = 0

openr,3,f
while not eof(3) do begin
 readf,3,tmp
 flg = flg+1
 if n_elements(bar) eq 0 then bar=tmp else begin
  oldbar = bar
  bar = fltarr(11,flg)
  bar[0,0] = oldbar
  bar[0,flg-1] = tmp
 endelse
endwhile
close,3

distmod = 5. * alog10(dist) - 5.
ak = .282*findgen(71)
ak2 = .282*findgen(7)*10
ehk = (.282-.175)*findgen(71)
ehk2 = (.282-.175)*findgen(7)*10
akstring = " Av="+strtrim(string(fix(findgen(7)*10)),1)
oplot,ehk+(bar[8,10]-bar[9,10]),bar[8,10]+distmod+ak,thick=thick
oplot,ehk2+(bar[8,10]-bar[9,10]),bar[8,10]+distmod+ak2,psym=2,thick=thick
xyouts,ehk2[1:nav]+(bar[8,10]-bar[9,10]),bar[8,10]+distmod+ak2[1:nav]-.25,$
   akstring[1:nav],charsize=charsize,charthick=thick
if nvect eq 2 then begin
 oplot,ehk+(bar[8,0]-bar[9,0]),bar[8,0]+distmod+ak,thick=thick
 oplot,ehk2+(bar[8,0]-bar[9,0]),bar[8,0]+distmod+ak2,psym=2,thick=thick
endif
;oplot,[-.25,4],[17.6,17.6],linestyle=2
;oplot,[0,4],[19.8,15.8],linestyle=2
;oplot,[-.25,4],[19.8,19.8],linestyle=2
;oplot,[.6,4],[17.6,14.2],linestyle=2
oplot,bar[8,*]-bar[9,*],bar[8,*]+distmod,thick=thick

end

