;-----------------------------------------------------------------------
;
; Interpolates data onto a new grid given fraction pixel offsets in x
; and y.
;
; S. T. Megeath
; 21st July 1998
;
;------------------------------------------------------------------------

function interp,data,xoff,yoff

x_interp = findgen(n_elements(data[*,0]))+xoff
y_interp = findgen(n_elements(data[0,*]))+yoff
data = interpolate(data,x_interp,y_interp,/grid,missing=0.)

return,data
end
