
pro bring_it

 out = bima_parse()

 bdir = dialog_pickfile(/dir,title='Select BIMA (moment 0) directory')
 hdir = dialog_pickfile(/dir,title='Select HST directory')
 dir = dialog_pickfile(title='Select directory for aligned images to go',/dir)

 cd,bdir,current=old
; bfiles = findfile('*mmom0.fits',count=nb)
 bfiles = findfile('*5194*mmom0.fits',count=nb)
 cd,hdir
; pfiles = findfile('*pa.fits',count=nh)
 pfiles = findfile('n5194pa.fits',count=nh)
; hfiles = findfile('*f160?.fits',count=np)
 hfiles = findfile('n5194f160w.fits',count=np)

 bngc = intarr(nb)
 for i=0,nb-1 do begin
  if strmid(bfiles[i],0,2) eq 'NG' then bngc[i] = fix(strmid(bfiles[i],3,4))
  if strmid(bfiles[i],0,2) eq 'IC' then bngc[i] = fix(strmid(bfiles[i],2,3))
 endfor
 pngc = intarr(np)
 for i=0,np-1 do begin
  endpt = strpos(pfiles[i],'pa')
  pngc[i] = fix(strmid(pfiles[i],1,endpt-1))
 endfor
 hngc = intarr(nb)
 for i=0,nh-1 do begin
  endpt = strpos(hfiles[i],'f160')
  hngc[i] = fix(strmid(hfiles[i],1,endpt-1))
 endfor

 for i=0,np-1 do begin
  w = where(bngc eq pngc[i],nw)
  if nw gt 0 then begin
   if n_elements(ngc) eq 0 then ngc = pngc[i] else ngc = [ngc,pngc[i]]
   if n_elements(fnm) eq 0 then fnm = [bfiles[w[0]],pfiles[i],hfiles[i]] else begin
    tmp = fnm & tsz = size(fnm)
    if tsz[0] eq 1 then fnm = strarr(3,2) else fnm = strarr(3,tsz[2]+1) 
    fnm[0,0] = tmp
    fnm[0,(size(fnm))[2]-1] = [bfiles[w[0]],pfiles[i],hfiles[i]]
   endelse
  endif
 endfor

 for i = 0,n_elements(ngc)-1 do begin
  w = where(out[0,*] eq ngc[i],nw)
  if nw gt 0 then begin
   if n_elements(dat) eq 0 then dat = out[*,w[0]] else begin
    tmp = dat & tsz = size(dat)
    if tsz[0] eq 1 then dat=fltarr(tsz[1],2) else dat=fltarr(tsz[1],tsz[2]+1)
    dat[0,0] = tmp
    dat[0,(size(dat))[2]-1] = out[*,w[0]]
   endelse
  endif
 endfor

 for i = 0,(size(fnm))[2]-1 do wcs_rr,bnm=bdir+fnm[0,i],pnm=hdir+fnm[1,i],$
    hnm=hdir+fnm[2,i],dir=dir,dat=dat[*,i]

 for i = 0,(size(fnm))[2]-1 do begin
  final = quick_aper(pnm=dir+fnm[1,i],bnm=dir+fnm[0,i])
  save,final,file=dir+'n'+strtrim(fix(dat[0,i]),2)+'_phot.sav'
 endfor

 cd,old

end
