
pro pv_redisplay,tlb_id

 widget_control,tlb_id,get_uvalue=state
 curr_disp = !d.window

 if n_elements(*(*state).find_status) gt 0 then begin
  w1 = where(*(*state).find_status gt 0,rct)
  w2 = where(*(*state).find_status eq 0,gct)
  w3 = where(*(*state).find_status lt 0,uct)
 endif else begin
  rct = 0 & gct = 0 & uct = 0
 endelse

 valid = [((*state).find_state[0] < (*state).plot_state[0]), $
          ((*state).find_state[0] < (*state).plot_state[1]), $
          (*state).plot_state[2]]

 if rct eq 0 then valid[0] = 0
 if gct eq 0 then valid[1] = 0
 if uct eq 0 then valid[2] = 0

 org = ptrarr(3,/alloc)

 if valid[0] then *org[0] = (*(*state).find_dat)[0:1,w1]
 if valid[1] then *org[1] = (*(*state).find_dat)[0:1,w2]
 if valid[2] then *org[2] = (*(*state).find_dat)[0:1,w3]

 col = (*state).plot_colors

;plot everything on the pixmap first
 wset,(*state).field_pix_id
 tv,congrid(*(*state).curr_dat[5],(*state).field_size[0],$
            (*state).field_size[1])

 wset,(*state).clip_id
 tv,*(*state).curr_disp[0]

 for i = 0,2 do begin
  if valid[i] then begin
   xp=fix(((*org[i])[0,*]-(*state).view_offset[0])*(*state).zoom_level+.5)
   yp=fix(((*org[i])[1,*]-(*state).view_offset[1])*(*state).zoom_level+.5)
   plots,xp,yp,/device,psym=fix(((*state).plot_params)[0]),$
         symsize=((*state).plot_params)[1],color=col[i]
  endif
 endfor

;then copy it over to the real draw window
 wset,(*state).field_id
 device,copy=[0,0,(*state).field_size[0],(*state).field_size[1],$
              0,0,(*state).field_pix_id]
 box_plot,fix((*state).view_offset[0]*(*state).field_scl+.5),$
    fix(((*state).view_offset[0]+(*state).view_size-1)*(*state).field_scl-.5),$
    fix((*state).view_offset[1]*(*state).field_scl+.5),$
    fix(((*state).view_offset[1]+(*state).view_size-1)*(*state).field_scl-.5)
 wset,(*state).win_id
 device,copy=[0,0,(*state).port_size,(*state).port_size,0,0,(*state).clip_id]
 if (*state).active_obj ge 0 then begin
  obj = (*state).active_obj
  loc = fix(((*(*state).find_dat)[0:1,obj]-(*state).view_offset)*$
     (*state).zoom_level+.5)
  fevent = {top:tlb_id,x:loc[0],y:loc[1]}
  pv_imexam,fevent
 endif

 wset,curr_disp
 ptr_free,org

end
