function pv_state_init

; if n_elements(path) eq 0 then cd,current=path
; if not keyword_set(outname) then outname = ''
; if not keyword_set(default) then default = [2.5,100,-1,1,.2,1]

 cd,current=path
 my_colors = [255l,65280l,16711680l]
 port_size = 512.
 centerboxsize = 11.
 ap_params = [5.,10.,20.,1.,25.]
 field_size=[150,150]
 find_params = [2.5,100,-1,1,.2,1]
 box_size = 8*find_params[0]
 outname = ''
 tlb_title = 'PhotVis (Version 1.09)'

;make the pointer to the state structure
 main_dat = ptrarr(6,/alloc)
 main_disp = ptrarr(2,/alloc)
 state = ptr_new({tlb: 0l, $
                  title:tlb_title, $
                  mode: 0l, $
                  zoom_id: 0l, $
                  top_menu: 0l, $
                  scale: [0l,0l], $
                  label: lonarr(18), $
                  draw: 0l, $
                  fcfg_id: 0l, $
                  pcfg_id: 0l, $
                  acfg_id: 0l, $
                  win_id: 0l, $
                  plot_id: 0l, $
                  clip_id: 0l, $
                  path: path, $
                  main_dat: main_dat, $
                  conv_dat: ptrarr(6,/alloc), $
                  main_disp: main_disp, $
                  conv_disp: ptrarr(2,/alloc), $
                  curr_dat: main_dat, $
                  curr_disp: main_disp, $
                  dmode: 0l,$
                  select: lonarr(4), $
                  plot_state: [1,1,1], $    ;[red on?,green on?,blue on?]
                  plot_colors: my_colors, $
                  plot_params: [6.,1.,box_size], $    ;[psym,symsize,imexambox]
                  find_state: [0,0], $        ;[find on?,fits image read in?]
                  main_ids: lonarr(6), $
                  conv_ids: lonarr(1), $
                  find_params: find_params,$;[fwhm,hmn,rndmn,rndmx,shpmn,shpmx]
                  find_defaults: find_params,$; same as above
                  find_dat: ptr_new(/alloc), $
                  find_status: ptr_new(/alloc), $
                  aper_defaults: ap_params, $
                  aper_dat: ptr_new(/alloc), $
                  ap_fields: lonarr(4), $
                  aper_id: 0l, $
                  active_obj: -1l, $
                  n_objects: [0l,0l], $
                  but_hold: 0l, $
                  centerboxsize:(centerboxsize>5), $
                  outnm: outname,$
                  zoom_default:0.,$
                  zoom_level:0.,$
                  view_size:port_size,$
                  port_size:port_size,$
                  view_offset:[0l,0l],$
                  field_scl:0.,$
                  field_size:field_size,$
                  field_view:0l,$
                  field_id:0l,$
                  field_pix_id:0l   })

 return,state

end
