;----------------------------------------------------------
;
;   gauss_kernel  - this program creates a gaussian kernel
;
;
;-----------------------------------------------------------

function gauss_kernel,xsize,ysize,zsize,xc=xc,yc=yc,zc=zc,$
         sigx=sigx,sigy=sigy,sigv=sigv

   sum=0.

   if (zsize eq 1) then begin 
   gauss=fltarr(xsize,ysize) 
     for i = 0,xsize-1 do begin
       for j = 0,ysize-1 do begin
          x = 1.*i 
          y = 1.*j
          gauss[i,j] = exp(-(x-xc)^2/(sigx^2)-(y-yc)^2/(sigy^2))
          sum = gauss[i,j]+sum
       endfor
     endfor
     print,sum
     gauss = gauss/sum
   endif

   return,gauss
   end

    

