
pro deval

 filters = ['J','H','K']
 files = ['jmatch.sav','hmatch.sav','kmatch.sav']

 set_plot,'ps'

 for i = 0,2 do begin
  
  restore,files[i]
  device,file='d_'+filters[i]+'_compare.ps'

  plot,out[3,*],out[2,*],/ynoz,psym=7,symsize=.5,title=filters[i]+' Photometry Comparison',xtitle=filters[i]+' Magnitude (UR)',ytitle=filters[i]+' Magnitude (Deharveng)'
  oplot,out[3,wbad],out[2,wbad],psym=4
  oplot,findgen(20),findgen(20)
  
  device,/close_file
  device,file='d_'+filters[i]+'_residuals.ps'

  plot,out[3,*],out[3,*]-out[2,*],psym=7,symsize=.5,title=filters[i]+' Photometry Residuals',xtitle=filters[i]+' Magnitude (UR)',ytitle=filters[i]+' Residuals (UR - Deharveng)'
  oplot,out[3,wbad],out[3,wbad]-out[2,wbad],psym=4
  oplot,findgen(20),fltarr(20)
  
  device,/close_file
 endfor

 set_plot,'x'

end 

