;-----------------------------------------------------------------
;
;	finpoly
;
;	S. T. Megadeath 5-27-00
;
;------------------------------------------------------------------



function finpoly,poly,cluster

   polylength = n_elements(poly[0,*])
   clusterlength = n_elements(cluster[0,*])
   incluster = dblarr(2,clusterlength)
   inc = 0

   for i = 0l,clusterlength-1 do begin
     xcrosseast = 0
     ycrossnorth = 0
     xcrosswest = 0
     ycrosssouth = 0
     for j = 0,polylength-2 do begin
       segmentx = [poly[0,j],poly[0,j+1]]
       segmenty = [poly[1,j],poly[1,j+1]]
       if(cluster[0,i] ge min(segmentx) and $
          cluster[0,i] le max(segmentx)) then begin 
            if(min(segmentx) ne max(segmentx)) then begin
              slope = (poly[1,j+1]-poly[1,j])/(poly[0,j+1]-poly[0,j])
              yintersect = (cluster[0,i]-poly[0,j])*slope+poly[1,j]
              if(yintersect ge cluster[1,i]) then ycrossnorth = 1
              if(yintersect le cluster[1,i]) then ycrosssouth = 1
            endif else begin
               if(min(segmenty) ge cluster[1,i]) then ycrossnorth=1
               if(max(segmenty) le cluster[1,i]) then ycrosssouth=1
               if(cluster[1,i] ge min(segmenty) and $
                  cluster[1,i] le max(segmenty)) then begin
                  ycrossnorth = 1
		  ycrosssouth = 1
               endif
            endelse
       endif
       if(cluster[1,i] ge min(segmenty) and $
          cluster[1,i] le max(segmenty)) then begin
            if(min(segmenty) ne max(segmenty)) then begin
              slope = (poly[0,j+1]-poly[0,j])/(poly[1,j+1]-poly[1,j])
              xintersect = (cluster[1,i]-poly[1,j])*slope+poly[0,j]
              if(xintersect ge cluster[0,i]) then xcrosseast = 1
              if(xintersect le cluster[0,i]) then xcrosswest = 1
             endif else begin
               if(min(segmentx) ge cluster[0,i]) then xcrosseast=1
               if(max(segmentx) le cluster[0,i]) then xcrosswest=1
               if(cluster[0,i] ge min(segmentx) and $
                  cluster[0,i] le max(segmentx)) then begin
                  xcrosseast = 1
		  xcrosswest = 1
               endif
             endelse
        endif
       inpoly = xcrosseast*ycrosssouth*xcrosswest*ycrossnorth

     endfor
     if(inpoly eq 1) then begin
      incluster[*,inc] = cluster[*,i]
      inc = inc+1
     endif
   endfor
   if inc eq 0 then incluster = [-1000.,-1000.] else incluster = incluster[*,0:inc-1]

return,incluster
end 
   
