;-----------------------------------------------------------------
;
;	inpoly
;
;	S. T. Megadeath 4-8-00
;
;------------------------------------------------------------------



pro inpoly,poly,polylength,clusterlist,clusterlength,outfile

   poly = fltarr(2,polylength)
   openr,1,polyname
   readf,1,poly
   close,1

   cluster = fltarr(2,clusterlength)
   openr,1,clusterlist
   readf,1,cluster
   close,1

   openw,2,outfile
   
   for i = 0,clusterlength-1 do begin
     xcrosseast = 0
     ycrossnorth = 0
     xcrosswest = 0
     ycrosssouth = 0
     for j = 0,polylength-2 do begin
       segmentx = [poly[0,j],poly[0,j+1]]
       segmenty = [poly[1,j],poly[1,j+1]]
       if(cluster[0,i] ge min(segmentx) and $
          cluster[0,i] le max(segmentx)) then begin 
            if(min(segmentx) ne max(segmentx)) then begin
              slope = (poly[1,j+1]-poly[1,j])/(poly[0,j+1]-poly[0,j])
              yintersect = (cluster[0,i]-poly[0,j])*slope+poly[1,j]
              if(yintersect ge cluster[1,i]) then ycrossnorth = 1
              if(yintersect le cluster[1,i]) then ycrosssouth = 1
            endif else begin
               if(min(segmenty) ge cluster[1,i]) then ycrossnorth=1
               if(max(segmenty) le cluster[1,i]) then ycrosssouth=1
               if(cluster[1,i] ge min(segmenty) and $
                  cluster[1,i] le max(segmenty)) then begin
                  ycrossnorth = 1
		  ycrosssouth = 1
               endif
            endelse
       endif
       if(cluster[1,i] ge min(segmenty) and $
          cluster[1,i] le max(segmenty)) then begin
            if(min(segmenty) ne max(segmenty)) then begin
              slope = (poly[0,j+1]-poly[0,j])/(poly[1,j+1]-poly[1,j])
              xintersect = (cluster[1,i]-poly[1,j])*slope+poly[0,j]
              if(xintersect ge cluster[0,i]) then xcrosseast = 1
              if(xintersect le cluster[0,i]) then xcrosswest = 1
             endif else begin
               if(min(segmentx) ge cluster[0,i]) then xcrosseast=1
               if(max(segmentx) le cluster[0,i]) then xcrosswest=1
               if(cluster[0,i] ge min(segmentx) and $
                  cluster[0,i] le max(segmentx)) then begin
                  xcrosseast = 1
		  xcrosswest = 1
               endif
             endelse
        endif
       inpoly = xcrosseast*ycrosssouth*xcrosswest*ycrossnorth

     endfor
     if(inpoly eq 1) then printf,2,cluster[*,i]
   endfor
   close,2
return
end 
   
