
function parse_2mass

 fnm = dialog_pickfile(title='Select 2MASS ASCII table (17 column)',/must_exist)

 if fnm eq '' then begin
  print,'Cancelled...'
  retall
 endif

 openr,one,fnm,/get
 temp = ''

 while not eof(one) do begin
  readf,one,temp
  if strmid(temp,0,1) ne '\' and strmid(temp,0,1) ne '|' then begin
   kstr = strmid(temp,51,6)
   hkstr = strmid(temp,119,7)
   if kstr ne '  null' and hkstr ne '   null' then begin
    if n_elements(out) eq 0 then begin
     out = [0,0,double(hkstr)+double(kstr),double(kstr)]
    endif else begin
     tout = out
     out = dblarr(4,n_elements(tout[0,*])+1)
     out[0,0] = tout
     out[*,n_elements(tout[0,*])] = [0,0,double(hkstr)+double(kstr),double(kstr)]
    endelse 
   endif
  endif
 endwhile

 return,out

end
