pro quick_sub,blk=blk

if strlowcase(!version.os_family) eq 'windows' then sls='\' else sls='/'
f = dialog_pickfile(/multiple,title='Select files to sky subtract')
nf = n_elements(f)
if f[0] eq '' then retall

newdir = dialog_pickfile(/dir,title='Select place to put them')
file_mkdir,newdir

skynm = dialog_pickfile(/multiple,title='Select skyframes')

if not keyword_set(blk) then blk = 5

skyin = 0
for i = 0,nf-1 do begin
 print,'Reading '+f[i]
 fits_read,f[i],im,hdr
 fsep = strsplit(f[i],sls,/extract)
 fname = fsep[n_elements(fsep)-1]
 if (fix(i/blk)+1-skyin) then begin
  print,'Reading '+skynm[skyin]
  fits_read,skynm[skyin],sky,shdr
  sky = -1*(median(sky)) + temporary(sky)
  skyin = fix(i/blk)+1
 endif

 im = temporary(im) - sky

 print,'Writing '+newdir+fname
 fits_write,newdir+fname,im,hdr
endfor

end
