
;for K vs H-K

pro hr_plot1,dist,charsize=charsize,myr=myr

if not keyword_set(charsize) then charsize = 1.5

if keyword_set(myr) then begin
 if myr eq 1 or myr eq 3 or myr eq 5 then f = '/home/rguter/idlpro/pipeline/barrafe/0.00'+$
    strtrim(myr,2)+'_age'
endif
if n_elements(f) ne 1 then f=dialog_pickfile(/must_exist,path='/home/rguter/idlpro/pipeline/barrafe/')
if f eq '' then return

tmp = fltarr(11)
flg = 0

openr,3,f
while not eof(3) do begin
 readf,3,tmp
 flg = flg+1
 if n_elements(bar) eq 0 then bar=tmp else begin
  oldbar = bar
  bar = fltarr(11,flg)
  bar[0,0] = oldbar
  bar[0,flg-1] = tmp
 endelse
endwhile
close,3

distmod = 5. * alog10(dist) - 5.
ak = .112*findgen(71)
ak2 = .112*findgen(7)*10
ehk = (.175-.112)*findgen(71)
ehk2 = (.175-.112)*findgen(7)*10
akstring = "  Av="+strtrim(string(fix(findgen(7)*10)),1)
oplot,ehk+(bar[9,10]-bar[10,10]),bar[10,10]+distmod+ak
oplot,ehk2+(bar[9,10]-bar[10,10]),bar[10,10]+distmod+ak2,psym=2
xyouts,ehk2[1:3]+(bar[9,10]-bar[10,10])-.25,bar[10,10]+distmod+ak2[1:3]-.25,$
   akstring[1:3],charsize=charsize
oplot,ehk+(bar[9,0]-bar[10,0]),bar[10,0]+distmod+ak
oplot,ehk2+(bar[9,0]-bar[10,0]),bar[10,0]+distmod+ak2,psym=2
;oplot,[-.25,4],[17.6,17.6],linestyle=2
;oplot,[0,4],[19.8,15.8],linestyle=2
;oplot,[-.25,4],[19.8,19.8],linestyle=2
;oplot,[.6,4],[17.6,14.2],linestyle=2
oplot,bar[9,*]-bar[10,*],bar[10,*]+distmod

end

